{#CgroupMountpoint=/sys/fs/cgroup#}
{#AllowedKmemSpace=<number>#}
{#AllowedRAMSpace=<number>#}
{#AllowedSwapSpace=<number>#}

ConstrainCores=yes
ConstrainDevices=yes
ConstrainRAMSpace=yes
{#    If configured to "yes" then constrain the job's RAM usage by setting the memory soft limit to the allocated memory and the hard limit to the allocated memory * AllowedRAMSpace. The default value is "no", in
    which case the job's RAM limit will be set to its swap space limit if ConstrainSwapSpace is set to "yes". Also see AllowedSwapSpace, AllowedRAMSpace and ConstrainSwapSpace. NOTE: When enabled,
    ConstrainRAMSpace can lead to a noticeable decline in per-node job throughout. Sites with high-throughput requirements should carefully weigh the tradeoff between per-node throughput, versus potential
    problems that can arise from unconstrained memory usage on the node. See <https://slurm.schedmd.com/high_throughput.html> for further discussion.
#}
ConstrainSwapSpace=yes
AllowedSwapSpace=0
MaxSwapPercent=0
{#MaxRAMPercent=PERCENT#}
{#MaxSwapPercent=PERCENT#}
{#MaxKmemPercent=PERCENT#}
{#MemorySwappiness=<number>#}
{#MinKmemSpace=<number>#}
{#MinRAMSpace=<number>#}

{% if cgroup_TaskAffinity is defined %}
TaskAffinity={{ cgroup_TaskAffinity }}
{%endif%}

